var ge={isConn: false};
apiready = function(){
	renderInfoList();
};
function bookAct(clkObj, pubId){
	if(!clkObj || ge.isConn){
		return ;
	}
	api.showProgress();

	var zObj= $(clkObj),updateType;
	if(zObj.hasClass('ui-btn-checked')){
		updateType= 2;
	}else{
		updateType= 1;
	}

	ge.isConn= true;
	var paramEntry= {
		userId: ge.userId,
		pubPlatId: pubId,
		updateType: updateType
	}

	var paramMsg= ajaxAgent.initConnEntry(JSON.stringify(paramEntry));
	var actionUrl= ajaxAgent.serverAction;
	actionUrl += 'm=pubplat&c=wap&a=subscribe';

//	alert(JSON.stringify(paramEntry));

	api.ajax({
	    url: actionUrl,
	    method: 'post',
	    timeout: 50,
	    dataType: 'json',
	    returnAll: false,
	    data:{
	    	values: {
	    		message: paramMsg
	    	}
	    }
	},function(ret,err){
//		api.alert({
//			msg: ret
//		});
	    if(ret && ret.saveResult==1){
			if(updateType==1){
				zObj.addClass('ui-btn-checked');
				zObj.html('已订阅');
			}else{
				zObj.html('订阅');
				zObj.removeClass('ui-btn-checked');
			}
	    }else if(ret && ret.saveResult==2){
	    	api.toast({
	            msg: ret.resultType,
				duration: 2000,
    			location: 'middle'
            });
	    }else{
			utilsFuncs.toastNetErr();
	    }
		ge.isConn= false;
		api.hideProgress();
	});
	
}
function initListHtml(txtArray){
	if(!txtArray || txtArray=='null'){
		return '';
	}
	var listHtml = '', loopLen= 0;
	$.each(txtArray, function(i, item){
		var listTempHtml='', imgUrl= item.pubPlatImgUrl || '';

		listTempHtml+= '<li class="ui-border-b">';
		    listTempHtml+= '<div class="ui-list-img">';
		        listTempHtml+= '<span style="background-image:url(\''+ imgUrl+ '\')"></span>';
		    listTempHtml+= '</div>';
		    listTempHtml+= '<div class="ui-list-info">';
		        listTempHtml+= '<h4 class="ui-nowrap">'+ item.pubPlatTitle+ '</h4>';
		        listTempHtml+= '<p class="ui-nowrap">'+ item.pubPlatSubTitle+ '</p>';
		    listTempHtml+= '</div>';
		    if(item.bookStatus==1){
				listTempHtml+= '<div class="ui-btn ui-btn-checked" tapmode="" onclick="bookAct(this, \''+ item.pubPlatId+ '\');">已订阅</div>';		    	
		    }else{
		    	listTempHtml+= '<div class="ui-btn" tapmode="" onclick="bookAct(this, \''+ item.pubPlatId+ '\');">订阅</div>';
		    }
		listTempHtml+= '</li>';

		listHtml+= listTempHtml;
		loopLen++;
	});
	return listHtml;
}
function renderInfoList(){
	if(!ge.userId){
		checklogin(true);
	}
	if(!ge.userId){
		return ;
	}
	api.showProgress({
		modal: false
    });

	var paramEntry= {
		userId: ge.userId,
		typeCode: api.pageParam.cateId
	}

	var paramMsg= JSON.stringify(ajaxAgent.initConnEntry(JSON.stringify(paramEntry)));
	var actionUrl= ajaxAgent.serverAction;
	actionUrl += 'm=pubplat&c=wap&a=getallsub&json[message]='+ paramMsg;

	api.ajax({
	    url: actionUrl,
	    method: 'get',
	    timeout: 50,
	    dataType: 'json',
	    returnAll: false
	},function(ret,err){
	    if(ret){
			var listHtml= initListHtml(ret.nbookList);
			if(!!listHtml){
				$("#infoListCont").html(listHtml);
				api.parseTapmode();
			}else{
				$(".ui-notice").show();
			}
	    }else{
			utilsFuncs.toastNetErr();
	    }

		api.hideProgress();
	});
}
function checklogin(isOpen){
	var userEntry = sessionAgent.getLoginInfo(),
		uid = userEntry.userId;
	if(uid==null || uid==''){
		if(!isOpen){
			return false;
		}
    	api.openWin({
            name: 'open_login',
            url: 'win_commonRedBar.html',
            pageParam:{
            	bannerTitle: '登录',
            	hidEditBtn: 'hidden',
            	childHtmlUrl: 'frm_login.html'
			}
        });
        return false;
	}else{
		ge.userId= uid;
		return true;
	}
}