var cateValList,cateNum=0;
apiready= function(){
	var cateVal= api.pageParam.checkCates;
	
	cateValList= cateVal.split(',');
	cateNum= cateValList.length;
	eventMap.trigMyEvent('shortListWd');
}
function setStatusTitle(now, sum){
	var nowTitle= document.getElementById('nowTitle'), sumTitle= document.getElementById('sumTitile');
	nowTitle.innerText= now; sumTitle.innerText= sum;
}
function setProgBar(numVal){
//	document.getElementById('progressBar').style.width= numVal+'%';
	force.move('#progressBar', {width: numVal+'%'}, 300);
}
var fileRegName= {
	baseName: 'fs://jiupai-cache/',
	shortList: 'shortList.json'
}
var eventMap= {
	cateEntry: {},
	detailWriteDown: function(detailSavePath){
//		setProgBar(70);
//		this.cateList.detailSavePath= detailSavePath;
		var saveList= this.cateEntry.longList;
		
    	var fileName= [fileRegName.baseName, this.cateEntry.cateType, '-', this.cateEntry.cateId, '.json'],
    		wEntry= {
	    		wPath: fileName.join(''),
	    		dataStr: JSON.stringify(saveList),
	    		isAppend: false
    		};
		writeFile(wEntry, 'cateLongListWd');
	},
	cateLongListWd: function(longListSavePath){
//		setProgBar(80);
		var cateShortList= this.cateEntry.longList.slice(0,3);

		var fileName= [fileRegName.baseName, fileRegName.shortList],
    		wEntry= {
	    		wPath: fileName.join(''),
	    		cateShortList: cateShortList
    		};
    	readFile(wEntry, 'shortListRd');
	},
	shortListRd: function(pEntry){
//		setProgBar(90);
		var wEntry= {
			wPath: fileRegName.baseName+ fileRegName.shortList, isAppend: false
		};
		var cateShort= {
			cateId: this.cateEntry.cateId, cateName: this.cateEntry.cateName,
			cateType: this.cateEntry.cateType, shortList: pEntry.cateShortList
		};

		if(pEntry && pEntry.readData){
			var shortEntiry= JSON.parse(pEntry.readData);
			shortEntiry['cate-'+ cateShort.cateId]= cateShort;
			wEntry.dataStr= JSON.stringify(shortEntiry);
		}else{
			var saveEntry= {};
			saveEntry['cate-'+ cateShort.cateId]= cateShort;
			wEntry.dataStr= JSON.stringify(saveEntry);
		}

		writeFile(wEntry, 'shortListWd');
	},
	shortListWd: function(){
		if(this.cateEntry && this.cateEntry.cateId){
			regCateDwRecord(this.cateEntry.cateId);
		}
//		setProgBar(100);
		if(cateValList && cateValList.length>0){
			this.cateEntry= {};
			loadCateNews();
		}else{
			setProgBar(100);
			setTimeout(function(){stopAndClose();}, 500);
		}
	},
	trigMyEvent: function(eventName, params){
		if(eventName){
			this[eventName](params);
		}	
	}
}
function stopAndClose(){
	api.execScript({
		frameName: 'offline-read-list-frm',
	    script: 'doc.refreshNewsList();'
    });
	api.closeFrame();
}
function regCateDwRecord(cateId){
	var localDwCateList= sessionAgent.getStorage(sessionAgent.keyMap.offlineCateList) || {};
	localDwCateList['channel-'+ cateId]= {updateTime: new Date().getTime()};
	sessionAgent.setStorage(sessionAgent.keyMap.offlineCateList, localDwCateList);
}
function loadCateNews(){
	var actionUrl = "";
	var cateInfoArray= cateValList.shift().split('.');
	
	if(cateInfoArray[0]=="jph"){
		actionUrl = subAjax.serverUrl + '/v3/column/list';	
		api.ajax({
			url: actionUrl,
		  	method: 'post',
		  	timeout: 30,
		  	dataType: 'json',
		  	returnAll:false,
		  	data: {
		  		values:{
		  			lastId: "",
		  			pageRowLength: 15,
		  			columnId: cateInfoArray[1],
		  			startRowNum :1,
	    		},
		  	}
		},function(ret,err){
			if(ret){
	            if(ret.txtCont && ret.txtCont.length>0){
	            	var newsIds= [];
	            	for(var i=0,len=ret.txtCont.length; i<len; i++){
	            		newsIds.push(ret.txtCont[i].infoId);
	            	}
	            	loadAndSaveNews({cateType:cateInfoArray[0], cateId: cateInfoArray[1], newsIds: newsIds});
	            	eventMap.cateEntry.longList= ret.txtCont;
	            	eventMap.cateEntry.cateType= cateInfoArray[0];
	            	eventMap.cateEntry.cateId= cateInfoArray[1];
	            	eventMap.cateEntry.cateName= cateInfoArray[2];
	            }else{
					eventMap.trigMyEvent('shortListWd');
	            }
		    }else{
				utilsFuncs.toastNetErr(err.statusCode);
		    }
		});
	}else{
		var curReqType = 'cnl', curChannelId = '', curCloumnId = '';
		if('cnl'== curReqType){
			curChannelId = cateInfoArray[1];
		}else{
			curCloumnId = cateInfoArray[1];
		}
	
		var nowTxt= '正在下载：'+ cateInfoArray[2], sumNum=cateValList.length, sumTxt= sumNum+ ' 个栏目正在等待下载';
		setStatusTitle(nowTxt, sumTxt);
		var barLen= (cateNum- sumNum- 1)*100/ cateNum; barLen= barLen? barLen.toFixed(2): 2;
		setProgBar(barLen);
		
		var actionUrl = ajaxAgent.serverAction;
		actionUrl += 'm=content&c=wap&a=lists&json[secCode]=&json[reqType]='+ curReqType+ '&json[channelId]='+ curChannelId+ '&json[columnId]='+ curCloumnId+
					'&json[refreshId]=&json[refreshDrec]=flip&json[startRowNum]=1&json[pageRowLength]=15&json[orderBy]=pubDate&json[orderAsc]=desc&rdnum='+ Math.random();
		api.ajax({
		    url: actionUrl,
		    method: 'get',
		    timeout: 65,
		    dataType: 'json',
		    returnAll: false
		},function(ret,err){
		    if(ret){
	            if(ret.txtCont && ret.txtCont.length>0){
	            	var newsIds= [];
	            	for(var i=0,len=ret.txtCont.length; i<len; i++){
	            		newsIds.push(ret.txtCont[i].infoId);
	            	}
	            	loadAndSaveNews({cateType:cateInfoArray[0], cateId: cateInfoArray[1], newsIds: newsIds});
	            	eventMap.cateEntry.longList= ret.txtCont;
	            	eventMap.cateEntry.cateType= cateInfoArray[0];
	            	eventMap.cateEntry.cateId= cateInfoArray[1];
	            	eventMap.cateEntry.cateName= cateInfoArray[2];
	            }else{
					eventMap.trigMyEvent('shortListWd');
	            }
		    }else{
				utilsFuncs.toastNetErr(err.statusCode);
		    }
	
		});
	}	
}
function loadAndSaveNews(cateEntry){
	console.log(cateEntry.newsIds.join(','));
	if(cateEntry.cateType=="jph"){
		actionUrl = subAjax.serverUrl + '/v3/detail/list';
		api.ajax({
			url: actionUrl,
		  	method: 'post',
		  	timeout: 65,
		  	dataType: 'json',
		  	returnAll:false,
		  	data: {
		  		values:{
		  			ids: cateEntry.newsIds.join(','),
	    		},
		  	}
		},function(ret,err){
			if(ret.resultCode==10000){
	             var fileName= [fileRegName.baseName, cateEntry.cateType, '-', cateEntry.cateId, '-details.json'],
	    		wEntry= {
		    		wPath: fileName.join(''),
		    		dataStr: JSON.stringify(ret.resultData),
		    		isAppend: false
	    		};
				writeFile(wEntry, 'detailWriteDown');
		    }else{
				utilsFuncs.toastNetErr(err.statusCode);
		    }
		});
	}else{
		var actionUrl = ajaxAgent.serverAction+ 'm=content&c=wap_get&a=contents',
			paramMsg= ajaxAgent.initConnEntry(JSON.stringify(cateEntry));
	
		api.ajax({
		    url: actionUrl,
		    method: 'post',
		    timeout: 65,
		    dataType: 'json',
		    returnAll: false,
		    data:{
		    	values: {
		    		message: paramMsg
		    	}
		    }
		},function(ret,err){
		    if(ret){
		    	var fileName= [fileRegName.baseName, cateEntry.cateType, '-', cateEntry.cateId, '-details.json'],
	    		wEntry= {
		    		wPath: fileName.join(''),
		    		dataStr: JSON.stringify(ret),
		    		isAppend: false
	    		};
				writeFile(wEntry, 'detailWriteDown');
		    }else{
				utilsFuncs.toastNetErr(err.statusCode);
		    }
		});
	}
}
function writeFile(wEntry, myEventName){
	api.writeFile({
	    path: wEntry.wPath, data: wEntry.dataStr, append: wEntry.isAppend
	}, function(ret, err){
	    if(ret && ret.status && myEventName){
			eventMap.trigMyEvent(myEventName, wEntry.wPath);
	    }else{
			api.alert({
            	msg: err.msg
            });
	    }
	});
}
function readFile(wEntry, myEventName){
	api.readFile({
        path: wEntry.wPath
    },function(ret,err){
    	if(ret && ret.status){
    		wEntry.readData= ret.data;
    	}else{
    		wEntry.readData= false;
    	}
    	eventMap.trigMyEvent(myEventName, wEntry);
    });
}