var doc= '';
apiready= function(){
	api.showProgress({modal:false});
	
	doc= new Vue({
		el: 'body',
		data: {
			newsMap: {},
			fileRegName: {
				baseName: 'fs://jiupai-cache/',
				shortList: 'shortList.json'
			}
		},
		computed:{
		},
		methods: {
			toDetail: function(cateType, cateId, infoId){
				oft.openNewsDetail(cateType, cateId, infoId);
			},
			toCataList: function(item){
				var cateId= item.cateId,
					cateType= item.cateType;
				api.openWin({
                    name: 'offline-read-cate-list-win',
                    url: 'win_offLineRead.html',
                    pageParam: {
						childHtmlName:'offline-read-cate-list-frm',
						childHtmlUrl: 'frm_offLineCateList.html',
						bannerTitle: '离线阅读 - '+ item.cateName,
						cateId: cateId,
						cateType: cateType
					}
                });
			}
		},
		compiled: function(){
			var newsFilePath= this.fileRegName.baseName+ this.fileRegName.shortList;
			api.readFile({
	            path: newsFilePath
            },function(ret,err){
            	if(ret && ret.status){
                    doc.newsMap= JSON.parse(ret.data);
                    doc.$nextTick(function (){
			        	var selCateId= 'cate-'+ api.pageParam.cateId;
			        	document.getElementById(selCateId).scrollIntoView();
      				});
            	}else{
            		api.toast({
	                    msg: err.msg
                    });
            	}
            	api.hideProgress();
            });
		}
	});
}