var page=1,userEntity="",userId="",isRefresh = true;  //用于监听是否可以下来刷新 = 0;
apiready = function(){
	userEntity = sessionAgent.getLoginInfo();
	userId = userEntity.userId;

	if(userId == null || userId == ""){
		subTools.checkUserId();
		api.closeWin();
    }

	collectList();
	
	//头部下拉刷新
	api.setRefreshHeaderInfo({
		visible : true,
		bgColor : '#eee',
		textColor : '#666',
		textDown : '下拉刷新',
		textUp : '释放刷新'
	}, function(ret, err) {
		page=1;
		isRefresh=true;
		$("#collectListHtml").html("");
		collectList();
		api.refreshHeaderLoadDone();
	});
		
	//底部下拉加载更多
	api.addEventListener({
		name : 'scrolltobottom'
	}, function(ret, err) {
		page++;
		if(isRefresh){
			collectList();
		}else{
			page--;
		}
	});
}

function refresh(){
	page=1;
	isRefresh=true;
	$("#collectListHtml").html("");
	collectList();
	api.refreshHeaderLoadDone();
}

function rmCollect(clkObj){
	var articleId=clkObj.getAttribute("articleId");
	var actionUrl = subAjax.serverUrl + "/app/operation/uncollect";
	api.showProgress();	
	api.ajax({
		url: actionUrl,
	  	method: 'post',
	  	timeout: 30,
	  	dataType: 'json',
	  	returnAll:false,
	  	data: {
	  		values:{
	  			id: articleId,
	  			userId: userId,
    		},
	  	}
	},function(ret,err){
		if (ret.resultCode){
			if (ret.resultCode==10000){
				initJs();
			}
			else{
				var alertMsg = ret.resultMessage;
	    		subTools.toast(alertMsg);
			}	
			refresh();
		}
		else {
			subTools.toastNetErr();
		}
		api.hideProgress();
	});
}

function initJs(){
	// 取消关注 外观
    $('.list li:last-child').removeClass('border-bottomLine');
}
//获取热门文章信息
function collectList(){
	$("#noData").html("");
	var actionUrl = subAjax.serverUrl + "/app/content/collect/list";
	api.showProgress();	
	api.ajax({
		url: actionUrl,
	  	method: 'post',
	  	timeout: 30,
	  	dataType: 'json',
	  	returnAll:false,
	  	data: {
	  		values:{
	  			page: page,
	  			pageSize: 10,
	  			userId: userId,
    		},
	  	}
	},function(ret,err){
		if (ret.resultCode==10000){
			if(ret.resultData.length>0){
				$.each(ret.resultData,function(i,value) {  
					value.updateDate = subTools.dateDiff(value.updateDate);
				});
				var data={
					list:ret.resultData  
			    };
			    var html = template("listTmp", data);
				
				if(page==1){
					$("#collectListHtml").html(html);
				}else{
					$("#collectListHtml").append(html);
				}
				initJs();
			}
	    	else{
	    		isRefresh = false;
	    		if(page == 1){
	    			var noRet = '<div class="title" style="background-color:transparent;">'
							   +'    <div style="margin:0 auto;width:2.3rem;margin-top:5rem">'
							   +'        <img style="width:1.4375rem;height:2.046875rem;margin:0 auto;display:block;" src="style/images/nomes.png" alt="">'
							   +'        <p style="font-size:0.5625rem;text-align:center;margin-top:0.3125rem;">暂无信息</p>'
							   +'    </div>'
							   +'</div>';
	    			$("#noData").html(noRet);
	    		}
	    	}
		}
		else {
			subTools.toastNetErr();
		}
		api.hideProgress();
	});
}

//切换到内容详情页
function openContent(clkObj){
	var contentId = clkObj.getAttribute("contentId");
	if(subTools.isEmpty(contentId)){
		subTools.toast("该九派号目前还没有文章");
		return;
	}
	api.openWin({
	    name: 'win_jphDetail',
	    url: '../jiupaihaoM/win_detailHeader.html',
	    pageParam:{
	    	contentId:contentId,
	    	newsType:'jph'
	    }	    
    });
}