apiready = function () {
	var obj = api.require('qq');
	api.addEventListener({
    name: 'isRead'
}, function(ret, err) {
	var isReadProtocol = sessionAgent.getStorage(sessionAgent.keyMap.isReadProtocol);
	if (isReadProtocol) {
     $("#isRead").attr("checked","checked")
   }
});


	obj.installed(function(ret,err){
	    if(ret.status){
	       $("#qqLoginBtn").css('display','');
	    }
	});
	var wx = api.require('wx');
	wx.isInstalled(function(ret, err){
	    if(ret.installed){
	        $("#wxLoginBtn").css('display','');
	    }
	});
	loadUIChatBox();
	api.parseTapmode();
};

var commentObj=null;
function loadUIChatBox(){
	commentObj = api.require('UIChatBox');
	commentObj.open();
	commentObj.hide();
	//添加监控事件
	commentObj.addEventListener({
		target : 'inputBar',
		name : 'move'
	}, function(ret, err) {
		if (ret) {
			if (!ret.panelHeight) {
				$("footer").show();
			} else {
				$("footer").hide();
			}
		}
	});
}

// 打开协议
function gotoprotocol(value){
	api.openWin({
	    name: 'win_protocol',
	    url: './win_protocol.html',
	    pageParam: {
	        tabIndex: value
	    }
	});
}
function closeBarObj(){
	commentObj.close();
	api.closeWin();
}

function toFindPwd(){
	api.openWin({
        name: 'win_findpwd',
        url: 'jiupaihaoM/win_commonHeader.html',
        pageParam:{
        	bannerTitle: '重置密码',
        	hidEditBtn: 'hidden',
        	childHtmlUrl: '../frm_findpwd.html',
        	childHtmlName: 'frm_findpwd',
        	from:'myset'
        }
    });
}

function validForm(){
	var checkRs = true;

	$(".formIpt").each(function(index){
		var validSeq = $(this).attr("validType");

		if(validSeq!=null && validSeq!=""){
			var validArray = validSeq.split(",");
			for(var i=0,len=validArray.length; i<len; i++){

				if(!validFuncs[validArray[i]]($(this).val())){
					checkRs = false;
					return false;
				}
			}
		}
	});

	return checkRs;
}

function fromRegister(cellPhoneNum){
	if(cellPhoneNum!=null && cellPhoneNum!=""){
		$("#cellPhoneNum").val( cellPhoneNum);
	}
}
function toRegister(){
	api.openWin({
        name: 'register',
        url: 'jiupaihaoM/win_commonHeader.html',
        pageParam:{
        	bannerTitle: '注册',
        	hidEditBtn: 'hidden',
        	from:'myset',
        	childHtmlUrl: '../win_register.html',
        	childHtmlName: 'win_register'
        }
    });
}

function setUserSession(userEntry){
	if(userEntry==null || userEntry==""){
		return ;
	}

	sessionAgent.setLoginInfo(userEntry);

	var loginTime = timeFunc.getTime();
	sessionAgent.setStorage(sessionAgent.timeMap.loginTime,loginTime);
	var params = {};//传到后台的参数
    params.idenCode = 8;
    params.isClose = true;

    closeBarObj();

    api.execScript({			//刷新个人中心页
		name: 'win_user',
		frameName: 'user_center',
	    script: 'checkUserId();'
	});
//  api.execScript({
//		name: 'win_subscibe',
//	    frameName: "base_tabframe",
//	    script: 'initRefresh(true);refreshCurrent();'
//	});
	api.execScript({
		name: 'jph_header2',
	    frameName: "jph_detail",
	    script: 'refresh();'
	});

	api.execScript({
		name: 'jph_header3',
	    frameName: "jph_member",
	    script: 'initPage();'
	});

//	api.execScript({
//		name: 'user_center',
//	    script: 'checkUserId();'
//	});
//	api.execScript({
//		name: 'baseWin',
//		frameName: 'base_frame',
//	    script: 'checkUserId();'
//	});
	api.execScript({			//刷新九派号详情页
		name: 'win_jphDetail',
		frameName: 'frm_detail',
	    script: 'refresh();'
	});
	api.execScript({			//刷新九派新闻详情页
		name: 'win_detail',
		frameName: 'frm_detail',
	    script: 'refresh();'
	});
//	api.execScript({			//刷新个人中心页
//		name: 'win_user',
//		frameName: 'user_center',
//	    script: 'checkUserId();'
//	});
	api.execScript({			//个人中心 查看相关列表时 ，在没有登录的情况下：先跳转到登录页面，登录成功后再自动调用那个方法
		name: api.pageParam.name,
		frameName: api.pageParam.frameName,
		script: api.pageParam.script
	});

	setTimeout(function() {
		markFunc.markToJAVA(params);
	}, 500);

}


//function apiRegUser(pEny){
//	if(!pEny){
//  	api.hideProgress();
//		utilsFuncs.toastNetErr();
//		return false;
//	}
//
//	var actionUrl = ajaxAgent.serverAction;
//	actionUrl+= 'm=member&c=wap&a=ortherlogin&json[loginTYpe]='+ pEny.apiLogType+
//				'&json[openUserId]='+ pEny.openId+
//				'&json[accessToken]='+ pEny.accessToken+
//				'&json[nickName]='+ pEny.nickName+
//				'&json[headImg]='+ pEny.headImg;
//
//	var nickName= pEny.nickName, headImg= pEny.headImg;
//
//	api.ajax({
//	    url: actionUrl,
//	    method: 'get',
//	    timeout: 45,
//	    dataType: 'json',
//	    returnAll: false
//	},function(ret2,err2){
//	    if (ret2.saveResult=='1'){
//			var userEntity={
//				loginType: 'openapi',
//				userId :　ret2.userId,
//				userName: nickName,
//				cellPhone: '',
//				nickName: nickName,
//				headImgPath: headImg
//			}
//			setUserSession(userEntity);
//			api.hideProgress();
//	    }else {
//	    	api.hideProgress();
//			utilsFuncs.toastNetErr();
//	    }
//	});
//}

function apiRegUser(pEny){
	if(!pEny){
    	api.hideProgress();
		utilsFuncs.toastNetErr();
		return false;
	}

	var actionUrl = ajaxAgent.serverUrlJava+'/app/user/authlogin';

	var nickName= pEny.nickName, headImg= pEny.headImg;

	api.ajax({
	    url: actionUrl,
	    method: 'post',
	    timeout: 45,
	    dataType: 'json',
	    returnAll: false,
	    data : {
			values : {
				loginType : pEny.apiLogType,
				openUserId: pEny.openId,
				nickName: pEny.nickName,
				headImg:pEny.headImg
			}
		}
	},function(ret2,err2){
	    if (ret2.status==200){
	    	var data = ret2.data;
			var userEntity={
				loginType: 'openapi',
				userId :　data.userId,
				userName: pEny.nickName,
				cellPhone: '',
				nickName: pEny.nickName,
				headImgPath: pEny.headImg
			}
			setUserSession(userEntity);
			api.hideProgress();
	    }else {
	    	api.hideProgress();
			utilsFuncs.toastNetErr();
	    }
	});
}

function apiLogin(loginType){
	var loginAct= {
		weibo: function(){
			var wbo = api.require('weibo');
			wbo.auth(function(ret,err){
				var userId= ret.userId, tokenStr= ret.token;
				if(userId!=null && userId!=""){

					wbo.getUserInfo({
					  token: tokenStr,
					  userId: userId
					},function(ret1,err1){
					    if(ret1.status){

							var regParam= {
								openId: ret1.userInfo.id,
								accessToken: tokenStr,
								apiLogType: 'weibo',
								nickName: ret1.userInfo.screen_name,
								headImg: ret1.userInfo.profile_image_url
							};
							apiRegUser(regParam);
					    }else{
					    	utilsFuncs.toastNetErr();
					    }
						api.hideProgress();
					});
				}else{
					api.hideProgress();
					utilsFuncs.toastNetErr();
				}
			});
		},
		qq: function(){
			var obj = api.require('qq');
			obj.login(function(ret,err){
				if(ret.status){
					obj.getUserInfo(function(ret1,err1) {
						if(ret1.status){
							var regParam= {
								openId: ret.openId,
								accessToken: ret.accessToken,
								apiLogType: 'qq',
								nickName: ret1.info.nickname,
								headImg: ret1.info.figureurl_qq_2
							};
							apiRegUser(regParam);
						}else{
							api.hideProgress();
							utilsFuncs.toastNetErr();
						}
					});
				}else{
					api.hideProgress();
					utilsFuncs.toastNetErr();
				}
			});
		},
		wx: function(){
			var wx = api.require('wx');
			var wxUserEntry= {};
			wx.auth({}, function(ret, err){
			    if(ret.status){
			        var authCode= ret.code;

					wx.getToken({
					    code: authCode
					},function(ret1, err1){
					    if(ret.status){
					    	wxUserEntry.accessToken= ret1.accessToken;
					    	wxUserEntry.dynamicToken= ret1.dynamicToken;
					    	wxUserEntry.expires= ret1.expires;
					    	wxUserEntry.openId= ret1.openId;

							wx.getUserInfo({
							    accessToken: wxUserEntry.accessToken,
							    openId: wxUserEntry.openId
							}, function(ret2,err2){
							    if(ret.status){
									wxUserEntry.nickname= ret2.nickname;
									wxUserEntry.sex= ret2.sex;
									wxUserEntry.headimgurl= ret2.headimgurl;
									wxUserEntry.unionid= ret2.unionid;

									var regParam= {
										openId: wxUserEntry.openId,
										accessToken: wxUserEntry.accessToken,
										apiLogType: 'wx',
										nickName: wxUserEntry.nickname,
										headImg: wxUserEntry.headimgurl
									};
									apiRegUser(regParam);
							    }else{
									api.toast({
									    msg: '获取权限用户失败',
									    duration: 2000,
									    location: 'middle'
									});
							    }
							    api.hideProgress();
							});
					    }else{
							api.toast({
							    msg: '获取权限信息失败',
							    duration: 2000,
							    location: 'middle'
							});
							api.hideProgress();
					    }
					});
			    }else{
					api.toast({
					    msg: '授权失败',
					    duration: 2000,
					    location: 'middle'
					});
					api.hideProgress();
			    }
			});
		}
	}

	if(loginType!=null && loginType!=""	){
		api.showProgress({modal:false});
		loginAct[loginType]();
	}
}

function login(){
	if(validForm()){
		if(!$("#isRead").attr('checked')){
			api.alert({
						msg: '请同意用户协议和隐私政策'
				});
				return;
		}
		api.showProgress({modal:false});

		var actionUrl = ajaxAgent.serverUrlJava+'/app/user/login';
    	api.ajax({
		    url: actionUrl,
		    method: 'post',
		    timeout: 30,
		    dataType: 'json',
		    returnAll:false,
		    data : {
				values : {
					username : $("#cellPhoneNum").val(),
					password: $("#pwd").val()
				}
			}
		},function(ret,err){
		    if (ret.status==200) {
		    	var data = ret.data;
					console.log(JSON.stringify(data))
				var userEntity={
					userId :　data.userId,
					userName: data.cellPhoneNum,
					cellPhone: data.cellPhoneNum,
					nickName: data.nikName,
					headImgPath: data.headImgPath,
					invitidNum: data.invitidNum
				}
				setUserSession(userEntity);
	    	}else{
	    		api.alert({
		            msg: ret.msg
		        });
		    }
		    api.hideProgress();
		});
	}
}



//function login(){
//	if(validForm()){
//		api.showProgress({modal:false});
//
//		var actionUrl = ajaxAgent.serverAction;
//		actionUrl+= 'm=member&c=wap&a=login'+
//					'&json[cellPhoneNum]='+ $("#cellPhoneNum").val()+
//					'&json[pwd]='+ $("#pwd").val();
//  	api.ajax({
//		    url: actionUrl,
//		    method: 'get',
//		    timeout: 30,
//		    dataType: 'json',
//		    returnAll:false,
//		},function(ret,err){
//		    if (ret) {
//		    	var regRs = ret.regResult,
//		    		regDesc = ret.returlType;
//		    	if('1'==regRs){
//
//					var userEntity={
//						userId :　ret.userId,
//						userName: ret.cellPhoneNum,
//						cellPhone: ret.cellPhoneNum,
//						nickName: ret.nikName,
//						headImgPath: ret.headImgPath,
//						invitidNum: ret.invitidNum
//					}
//					setUserSession(userEntity);
//		    	}else{
//		    		api.alert({
//			            msg: regDesc
//			        });
//		    	}
//		    }else {
//				utilsFuncs.toastNetErr();
//		    }
//		    api.hideProgress();
//		});
//	}
//}
