var page= 1, tempCommId='', commentBarObj= null, commValue='',commContent=null;
var sourcePath = "widget://image/emotion";//表情存放目录
var emotionData;//存储表情

apiready= function(){
	var systemSetting= api.pageParam.systemSetting;
	if(systemSetting!=null && systemSetting!=null && systemSetting.isNightStyle== 'true'){
		utilsFuncs.setNightTime('nightLink', 1);
	}else{
		utilsFuncs.setNightTime('nightLink', 0);
	}
	
    api.showProgress({modal:false});
	initTxtCont();
    
    setRefreshHeader();
    api.addEventListener({name: 'scrolltobottom'}, function (ret, err) {
        page++;
        initTxtCont();
        api.parseTapmode();
    });
	
	getImgsPaths(sourcePath, function (emotion) {
        emotionData = emotion;
    });
    initReplyIpt();
}

function transText(text, imgWidth, imgHeight){
    var imgWidth = imgWidth || 24;
    var imgHeight = imgHeight || 24;
    var regx= /\[(.*?)\]/gm;
    var textTransed = text.replace(regx,function(match){
        var imgSrc = emotionData[match];
        if( !imgSrc){ /* 说明不对应任何表情,直接返回即可.*/
            return match;
        }
        var img = "<img src='" + imgSrc+ "' width='" + imgWidth +  "' height ='" + imgHeight +"' />";
        return img;
    });
    return textTransed;   
}
/*获取所有表情图片的名称和真实URL地址，以JSON对象形式返回。其中以表情文本为 属性名，以图片真实路径为属性值*/
function getImgsPaths(sourcePathOfChatBox, callback){
    var jsonPath = sourcePathOfChatBox + "/emotion.json";//表情的JSON数组
    api.readFile({
        path: jsonPath
    },function(ret,err){
        if(ret.status){
            var emotionArray = JSON.parse(ret.data);
            var emotion = {};
            for(var i in emotionArray){
                var emotionItem = emotionArray[i];
                var emotionText = emotionItem["text"];
                var emotionUrl = "../image/emotion/"+emotionItem["name"]+".png";
                emotion[emotionText] = emotionUrl;
            }
            /*把emotion对象 回调出去*/
            if("function" === typeof(callback)){
                callback(emotion);
            }
        }
    });
}
	
function initTxtContHtml(ret){
	var commentArray = ret.commentCont,
		contHtml = '';

	if(null!=commentArray && ""!=commentArray){
		for(var i=0,len=commentArray.length; i<len; i++){
			contHtml+='<li tapmode=0"" class="aui-user-view-cell aui-img">';
//				  contHtml+='<img class="aui-img-object aui-pull-left" src="'+ 0commentArray[i].commUseravatar+ '">';
			    contHtml+='<div class="aui-img-body">';
			        contHtml+='<p class="aui-ellipsis-2">'+ commentArray[i].commUserName+ 
			        	'<em onclick="showIptWin(\''+ commentArray[i].commId+ '\', \''+ commentArray[i].commUserName+ 
			        	'\');" tapmode="" class="aui-iconfont aui-icon-commu" style="float: right;margin-left:10px;"> </em>'+
			        	'<em tapmode="touchRed" onclick="addGood(\''+ commentArray[i].commId+ '\', this);" class="aui-iconfont aui-icon-appre" style="float: right;">'+ 
			        	(commentArray[i].goodNum || 0) +' </em></p><p class="aui-iconfont aui-icon-time">' + utilsFuncs.dateDiff(new Date(Date.parse(commentArray[i].commDate.replace(/-/g,  "/"))).getTime()) + ' </p>';
			        
			        if(commentArray[i].replyCont!=null && commentArray[i].replyCont!=''){
			        	contHtml+= transText(commentArray[i].replyCont, 16, 16);
			        }else if(commentArray[i].commTxt!=null && commentArray[i].commTxt!=''){
			        	contHtml+= commentArray[i].commTxt;
			        }

//				        contHtml+='<span>'+ commentArray[i].commTxt+ '</span>';
			    contHtml+='</div>';
			contHtml+='</li>';
		}
	}else if(page==1){
		contHtml+='<li>';
		    contHtml+='<div class="aui-img-body" style="text-align:center !important;padding: 5px 0;">赶快说两句吧</div>';
		contHtml+='</li>';
	}
	return contHtml;
}

function initTxtCont(){
	var actionUrl = ajaxAgent.serverAction;
	actionUrl += 'm=content&c=wap&a=comment&json[secCode]=&json[channelId]='+ api.pageParam.curChannelId+
				'&json[columnId]='+ api.pageParam.curColumnId+
				'&json[infoId]='+ api.pageParam.infoId+
				'&json[commStartRowNum]='+ page+'&json[commPageRowLength]=20&json[commOrderBy]=commDate&json[commOrderAsc]=desc';
//		alert(actionUrl);
	console.log('-----------评论地址------------\n'+actionUrl+'\n');
	api.ajax({
	    url: actionUrl,
	    method: 'get',
	    timeout: 30,
	    dataType: 'json',
	    returnAll:false,
	},function(ret,err){
	    if (ret) {
			var contH = initTxtContHtml(ret);
//				console.log(contH);

			if(page==1){
				$("#commentUl").html(contH );
			}else{
				$("#commentUl").append(contH);
			}
			api.parseTapmode();
	    }else {
//		        api.alert({
//		            msg:('错误码：'+err.code+'；错误信息：'+err.msg+'网络状态码：'+err.statusCode)
//		        });
			utilsFuncs.toastNetErr();
	    }

        api.hideProgress();
	});
}

function showIptWin(commId, commUserName){
	tempCommId= commId;

	commentBarObj.setPlaceholder({
	    placeholder: '回复 '+ commUserName
	});
	commentBarObj.popupKeyboard();
}

function checkAuth(){
	var userEntry = sessionAgent.getLoginInfo();
	if(userEntry!=null && userEntry!="" && typeof userEntry.userId != "undefined"){
		$("#commitBtn").text("发表");
		return userEntry.userId;
	}else{
		$("#commitBtn").text("发表");
		return null;
	}
}

function addGood(commId, emObj){
	if(commId=='' || commId==null){
		return;
	}

	var goodInfoIdList = sessionAgent.getStorage(sessionAgent.keyMap.commentGoodId);
	if(null!=goodInfoIdList && ""!=goodInfoIdList && goodInfoIdList.indexOf('.'+commId+'.')!=-1){
		api.toast({
		    msg: '您已经赞过啦',
		    duration: 1000,
		    location: 'middle'
		});
		return;
	}else{
		goodInfoIdList+= '.'+ commId+'.';
		sessionAgent.setStorage(sessionAgent.keyMap.commentGoodId, goodInfoIdList);
	}

	var actionUrl = ajaxAgent.serverAction;
	actionUrl += 'm=content&c=wap&a=praise&json[commId]='+ utilsFuncs.trimStr(commId);
	api.ajax({
	    url: actionUrl,
	    method: 'get',
	    timeout: 50,
	    dataType: 'json',
	    returnAll: false,
	},function(ret,err){
	    if (ret) {
//				alert(ret);
	    }else {
//		        api.alert({
//		            msg:('错误码：'+err.code+'；错误信息：'+err.msg+'网络状态码：'+err.statusCode)
//		        });
			utilsFuncs.toastNetErr();
	    }
	});

	if(emObj!=null && emObj!=""){
//			$(emObj).addClass('animated pulse');
		var goodNum = parseInt(emObj.innerText);
		if(!isNaN(goodNum)){
			goodNum++;
			emObj.innerText= goodNum+ ' '; 
		}
	}
}

function toComit(commentTxt, replyCommId){
	var userId = checkAuth();

	if(userId!= null){
		if(""==commentTxt || null==commentTxt){
			api.toast({
			    msg: '请填写评论内容',
			    duration: 1000,
			    location: 'middle'
			});
			return;
		}else if(commentTxt.length< 2){
			api.toast({
			    msg: '请至少填写2字',
			    duration: 1000,
			    location: 'middle'
			});
			return;
		}

		var actionUrl = ajaxAgent.serverAction;
		actionUrl += 'm=comment&c=wap&a=commentpost&json[secCode]=&json[columnId]='+ utilsFuncs.trimStr(api.pageParam.curColumnId) +
					'&json[infoId]='+ api.pageParam.infoId+ 
					'&json[usrId]='+ userId+
					'&json[commAttitude]='+ '0'+
					'&json[commTxt]='+ commentTxt;

		if(replyCommId!=null && replyCommId!=""){
			actionUrl+= '&json[commId]='+ replyCommId;
		}

//			alert(actionUrl );
		api.ajax({
		    url: actionUrl,
		    method: 'get',
		    timeout: 30,
		    dataType: 'json',
		    returnAll:false,
		},function(ret,err){
		    if (ret) {
		    	var rs = ret.saveResult,
		    		rsDesc = ret.resultType ;
		    
		    	if('1'==rs){
//				        api.alert({
//				            msg:'评论已经提交，请耐心等待审核，谢谢'
//				        });
					sendParam(6);		//评论成功对应序号为6，将相印的参数传给后台
					sessionAgent.rmStorage(sessionAgent.keyMap.commContent);//评论成功则清除缓存
					//如果是从九妹派叔进入的，评论成功后页面评论数量加一
					var entryFlag = api.pageParam.entryFlag;
					if (entryFlag && entryFlag == 'jiuMeiPaiShu') {
						api.execScript({
							name : 'win_detail_jiuMei',
							frameName : 'frm_detail_jiuMei',
							script : 'upCommentNum()'
						});
					}
					api.closeWin({});
		    	}else{
					api.toast({
					    msg: rsDesc,
					    duration: 2000,
					    location: 'top'
					});			    		
		    	}
		    }else {
//			        api.alert({
//			            msg:('错误码：'+err.code+'；错误信息：'+err.msg+'网络状态码：'+err.statusCode)
//			        });
				utilsFuncs.toastNetErr();
		    }
		});
		
//		api.execScript({
//			name: 'detail',
//		    frameName: 'frm_detail',
//		    script: 'setReadStat(2);'
//		});
	}else{
    	api.openWin({
            name: 'login',
            url: 'win_commonRedBar.html',
            pageParam:{
            	bannerTitle: '登录',
            	hidEditBtn: 'hidden',
            	childHtmlUrl: 'frm_login.html'
			}
        });
	}
}

function setRefreshHeader(){
    api.setRefreshHeaderInfo({
        visible: true,
        bgColor: '#ccc',
        textColor: '#fff',
        textDown: '下拉刷新...',
        textUp: '松开刷新...',
        showTime: true
    }, function (ret, err) {
    	page=1;
        initTxtCont();
        api.refreshHeaderLoadDone();
    });
}

function getCommContent(){
	//获取当前评论的信息
	commentBarObj.value(function(ret, err){
    	if(ret){
	         if(ret.msg){
	         	commValue = ret.msg;
	         	commContent={
		    		"infoId":api.pageParam.infoId,
		    		"value":commValue,
	    		};
		        sessionAgent.setStorage(sessionAgent.keyMap.commContent, commContent);
	         }
	    }
	});
}		    	
	

function initReplyIpt(){
	commentBarObj = api.require('UIChatBox');
	
    commentBarObj.open({
        placeholder: '我来说两句',
        maxRows: 4,
        emotionPath: sourcePath,
        styles: {
            inputBar:{
                borderColor: '#d9d9d9',
                bgColor: '#f2f2f2'
            },
            inputBox:{
                borderColor: '#B3B3B3',
                bgColor: '#FFFFFF'
            },
			sendBtn:{
		        bg: '#a92224',
		        titleColor: '#ffffff',
		        activeBg: '#a92224',
		        titleSize: 13
		    }
//			    ,extrasBtn:{
//					normalImg: 'widget://image/previous_arrow@2x.png'
//				},
//	            emotionBtn: {
//	                normalImg: 'widget://image/chatBox/face1.png'
//	            },
//	            keyboardBtn: {
//	                normalImg: 'widget://image/key1.png'
//	            }
        }
    }, function(ret){
        //点击发送按钮
        if(ret.eventType=='send'){
            if(ret.msg && ret.msg!=""){
            	commentBarObj.value({
				    msg: ret.msg
				});
            	toComit(ret.msg, tempCommId);
            }
        }
    });
    
    //如果有评论缓存则加入缓存
    var commContent = sessionAgent.getStorage(sessionAgent.keyMap.commContent);
	if(commContent != null && commContent != ""){
		if(commContent.infoId == api.pageParam.infoId){
			commentBarObj.value({
			    msg: commContent.value
			});
		}
	
	}
    
    //输入框弹动时记录评论缓存
    commentBarObj.addEventListener({
	    target: 'inputBar',
	    name: 'move'
	}, function(ret, err){
	    if( ret ){
			if(!ret.panelHeight){
				getCommContent();
			}
	    }
	});
}

function sendParam(num){	//根据序号  将对应操作（点赞3，转发5，评论6，收藏7）成功后 的相关参数传给后台
	var params = {};		//点赞成功后 传到后台的参数
    params.idenCode = num;	
    params.categoryId = api.pageParam.curColumnId;
    params.categoryName = api.pageParam.catname;
    params.paperId = api.pageParam.infoId;
    params.paperName = api.pageParam.infoTitle;
//  alert(JSON.stringify(params));
	markFunc.markToJAVA(params);
}
