var page= 1, limit=10, noImg=0, isConn= false;
apiready = function () {
    renderInfoList();
    setRefreshHeader();
    api.addEventListener({name: 'scrolltobottom'}, function(ret, err){
    	if(!isConn){
	        page++;
	        renderInfoList();
    	}
    });

	api.addEventListener({
	    name: 'refBookList'
	}, function(ret, err){
		page=1;
		renderInfoList();
	});
};

function initListHtml(txtArray){
	var bufHtml= {
			sml1Img: function(infoEntry){
				var listTempHtml='';
		        var title = infoEntry.infoTitle, replyCount = infoEntry.readNum;
		        var imgUrl;
		        if(infoEntry.infoImgUrl==null || infoEntry.infoImgUrl=="" || infoEntry.infoImgUrl=="null"){
		        	imgUrl= '';
		        }else{
		        	imgUrl= infoEntry.infoImgUrl[0];
		        }

				listTempHtml+= '<ul class="content" tapmode="magnifier">';
				    listTempHtml+= '<li onclick="toDetail(this)" infoId="'+ infoEntry.infoId +'" columnId="'+ infoEntry.columnId +'" columnName="'+ infoEntry.columnName +'">';
				    	listTempHtml+= '<div class="item">';
				    	if(imgUrl != '' && noImg==0){
							listTempHtml+= '<div class="img" style="background-image: url(\''+ imgUrl+ '\');"></div>';
				        }
					        listTempHtml+= '<div class="text"><p class="title titleHeight">'+ title+ '</p>';
								listTempHtml+= '<span class="wordTag">'+ infoEntry.infoSub1+'</span> '+ infoEntry.infoSub2;
								listTempHtml+= '<span class="img-lable-newsTips aui-iconfont aui-icon-comment-after">'+ replyCount+ '</span>';
							listTempHtml+= '</div>';
				    	listTempHtml+= '</div>';
				    listTempHtml+= '</li>';
				listTempHtml+= '</ul>';

				return listTempHtml;
			},
			sml3Img: function(infoEntry){
				var listTempHtml='';
		        var title = infoEntry.infoTitle, replyCount = infoEntry.readNum;

				listTempHtml+= '<section class="section-row" tapmode="magnifier" onclick="toDetail(this)" infoId="'+ infoEntry.infoId +'" columnId="'+ infoEntry.columnId +'" columnName="'+ infoEntry.columnName +'">';
				    listTempHtml+= '<div class="img-lable titleHeight">'+ title+ '</div>';
					listTempHtml+= '<ul class="imgs">';

			        var imgUrl;
			        if(infoEntry.infoImgUrl==null || infoEntry.infoImgUrl=="" || infoEntry.infoImgUrl=="null" || noImg==1){
			        	imgUrl= [];
			        }else{
			        	imgUrl= infoEntry.infoImgUrl;
			        }
					for(var i=0; i<imgUrl.length; i++){
						listTempHtml+= '<li infoEntrytapmode=""><img src="'+ imgUrl[i]+ '"></li>';
						if(i>=2)break;
					}

					listTempHtml+= '</ul>';
					listTempHtml+= '<div class="after-img-lable"><span class="wordTag">';
						listTempHtml+= infoEntry.infoSub1+'</span> '+ infoEntry.infoSub2;
						listTempHtml+= '<span class="img-lable-newsTips aui-iconfont aui-icon-comment-after">'+ replyCount+ '</span>';
					listTempHtml+= '</div>';
				listTempHtml+= '</section>';

				return listTempHtml;
			},
			bigImg: function(infoEntry){
				var listTempHtml='';
		        var title = infoEntry.infoTitle, replyCount = infoEntry.readNum;
		        var imgUrl;
		        if(infoEntry.infoImgUrl==null || infoEntry.infoImgUrl=="" || infoEntry.infoImgUrl=="null"){
		        	imgUrl= '';
		        }else{
		        	imgUrl= infoEntry.infoImgUrl[0];
		        }
				imgUrl= imgUrl.length<2 ? infoEntry.infoImgUrl: imgUrl;

				listTempHtml+= '<section class="section-row" style="padding-top:7px;" tapmode="magnifier" onclick="toDetail(this)" infoId="'+ infoEntry.infoId +'" columnId="'+ infoEntry.columnId +'" columnName="'+ infoEntry.columnName +'">';
				if(imgUrl != '' && noImg==0){
				    listTempHtml+= '<div class="bigTittleImg" style="background-image: url(\''+ imgUrl+ '\');height:'+ bigImgHeight+ 'px;" ></div>';
				}
					listTempHtml+= '<div class="img-lable titleHeight" style="padding-bottom: 0;">'+ title+ '</div>';
				    listTempHtml+= '<div class="after-img-lable"><span class="wordTag">';
						listTempHtml+= infoEntry.infoSub1+'</span> '+ infoEntry.infoSub2;
						listTempHtml+= '<span class="img-lable-newsTips aui-iconfont aui-icon-comment-after">'+ replyCount+ '</span>';
					listTempHtml+= '</div>';
				listTempHtml+= '</section>';

				return listTempHtml;
			}
		};

	var listHtml = '', loopLen= 0,bigImgHeight= api.winWidth*0.53;
	if(!txtArray){
		txtArray= [];
	}
	$.each(txtArray, function(i, item){
		var listType= item.listType;

		if('leftimg'== listType){
			listHtml+= bufHtml['sml1Img'](item);
		}else if('smallimg'== listType){
			listHtml+= bufHtml['sml3Img'](item);
		}else if('bigimg'== listType){
			listHtml+= bufHtml['bigImg'](item);
		}

		loopLen++;
	});

	if(listHtml==''){
		if(page==1){
			listHtml= '<section class="comui-placehold-wrap"><img src="../image/icon-quill.png" style="width: 65px;" /><div class="comui-placehold">这位作者还没有发布文章哦！</div></section >';
		}else{
			listHtml= '<section id="loadingBar" class="markBar">已经加载至最后一条</section>';
		}
	}else if(loopLen< 20){
		listHtml+= '<section id="loadingBar" class="markBar">已经加载至最后一条</section>';
	}else{
		listHtml+= '<section id="loadingBar" class="markBar"><img id="loading-img" src="../image/loading-color.gif" />正在加载...</section>';
	}

	return listHtml;
}

function syncSubSciList(pubPlatEntry, pId){
	if(!pubPlatEntry || !pubPlatEntry.infoTimestamp || !pId){
		return ;
	}
	
	var temp= {
		pubPlatId: pId,
		lastReadTimestamp: pubPlatEntry.infoTimestamp
	};
	var localList= sessionAgent.getStorage(sessionAgent.keyMap.subscibeReadHis),localNo= -1;
	
	if(!!localList){
		for(var i=0,len=localList.length; i<len; i++){
			if(temp.pubPlatId== localList[i].pubPlatId){
				localNo= i;
				break;
			}
		}
		if(localNo==-1){
			localList.push(temp);
		}else{
			localList[localNo]= temp;
		}

		sessionAgent.setStorage(sessionAgent.keyMap.subscibeReadHis, localList);
	}else{
		var newList= [];
		newList.push(temp);
		sessionAgent.setStorage(sessionAgent.keyMap.subscibeReadHis, newList);
	}
}

//提交ajax查询数据
function renderInfoList(){
	if(isConn){
		return ;
	}
	isConn= true;
	
	var paramEntry= {
		userId: api.pageParam.userId,
		pubPlatId: api.pageParam.pubPlatId,
		pageNum: page,
		pageLen: 20
	}
	var paramMsg= JSON.stringify(ajaxAgent.initConnEntry(JSON.stringify(paramEntry))),
		actionUrl= ajaxAgent.serverAction+ 'm=pubplat&c=wap&a=subnewlist&json[message]='+ paramMsg;

//	console.log(actionUrl);
	api.ajax({
	    url: actionUrl,
	    method: 'get',
	    timeout: 45,
	    dataType: 'json',
	    returnAll: false
	},function(ret,err){
//		api.alert({
//      	msg: ret
//      });
	
	    if(ret){
	        var dom=null;
			var listHtml= initListHtml(ret.txtCont);
	        if (page!="" && page>1){
	            $("#loadingBar").replaceWith(listHtml);
	        }else{
	        	if(!!ret.pubPlatInfo){
					var param= {
						pubPlatId: ret.pubPlatInfo.pubPlatId,
						pubPlatImgUrl: ret.pubPlatInfo.pubPlatImgUrl,
						pubPlatTitle: ret.pubPlatInfo.pubPlatTitle,
						pubPlatSubTitle: ret.pubPlatInfo.pubPlatSubTitle,
						bookStatus: ret.pubPlatInfo.bookStatus
					};
					var paramStr= JSON.stringify(param);
					api.execScript({
						name: api.winName,
					    script: 'setSubscibeBanner('+ paramStr+ ');'
					});

					var headCont= '<section class="section-row" >';
					headCont+= '<div style="margin: 0 5px;padding-top:10px;">';
						headCont+= '<div class="ui-avatar" style="margin: 0px auto 10px auto;">';
						    headCont+= '<span id="pubPlatAva" style="background-image: url('+ param.pubPlatImgUrl+ ')"></span>';
						headCont+= '</div>';
						headCont+='<div id="pubPlatTitle" class="ui-nowrap">'+ param.pubPlatSubTitle+ '</div>';
					headCont+= '</div>';
					headCont+= '</section>';
					
					listHtml= headCont+ listHtml;
	        	}
	            $("#docBody").html(listHtml);
	        }
	        api.parseTapmode();

	        if(!!ret.txtCont && !!ret.pubPlatInfo){
	        	syncSubSciList(ret.txtCont[0], ret.pubPlatInfo.pubPlatId);
	        }
	    }else{
			utilsFuncs.toastNetErr();
	    }
	    
	    api.hideProgress();
		api.refreshHeaderLoadDone();
		isConn= false;
	});
}

function setRefreshHeader(){
    api.setRefreshHeaderInfo({
        visible: true,
        bgColor: '#ccc',
        textColor: '#fff',
        textDown: '下拉刷新...',
        textUp: '松开刷新...',
        showTime: true
    }, function (ret, err) {
    	page=1;
        renderInfoList();
    });
}
function toDetail(clkObj){
    api.openWin({
        name: 'search_detail',
        url: 'win_detailpage.html',
        pageParam: {
        	curChannelId : '',
        	curColumnId: clkObj.getAttribute("curColumnId"),
        	curColumnName : clkObj.getAttribute("curColumnName"),
        	infoId: clkObj.getAttribute("infoId"),
        	commentNum : 0,
        	preBarStyle: 'dark'
        }
    });
}