window.addEventListener('load', function(){
	FastClick.attach(document.body);
}, false);

var page= 1, loadFinish= 'false';
function initData(jsonData){
	var cHtml= '';
	if(jsonData=='' || jsonData==null || jsonData=='null'){
		return cHtml;
	}

	$.each(jsonData.statuses, function(index, item){
		var temp= '';
		temp+= '<li class="aui-list-view"><div class="aui-user-view-cell aui-img">';
		temp+= '<img class="aui-img-object aui-pull-left" src="'+ item.user.avatar_large+'">';
		temp+= '<div class="aui-img-body"><span>'+ item.user.screen_name+ '<em></em></span><p class="aui-ellipsis-1">'+ item.user.description+ '</p></div></div>';
		temp+= '<div class="aui-padded-10 content">'+ item.text+ '</div>';
		temp+= '<ul class="aui-list-view aui-grid-view">';
		
		if($.isArray(item.pic_urls)){
			for(var i=0,len=item.pic_urls.length; i<len; i++){
				var imgUrl= item.pic_urls[i].thumbnail_pic || '', bigImgUrl= imgUrl.replace('thumbnail', 'bmiddle');
				temp+= '<li class="aui-list-view-cell aui-img aui-col-xs-4"><div class="aui-img-object" style="background-image: url(\''+ 
					imgUrl+ '\');" bigImgUrl="'+ bigImgUrl+ '" onclick="lightImg(this);"></li>';
			}
		}
		
		temp+= '</ul><div class="aui-line-x"></div></li>';
		
		cHtml+= temp;
//		console.log(temp);
	});
	
	return cHtml;
}
function loadData(){
	var actionUrl = ajaxAgent.serverAction;
	actionUrl += 'm=weibo&c=wap&a=index&json[pagesize]=20&json[page]='+ page;

//	console.log(actionUrl);
	api.ajax({
	    url: actionUrl,
	    method: 'get',
	    timeout: 65,
	    dataType: 'json',
	    returnAll: false
	},function(ret,err){
//	    console.log($api.jsonToStr(ret));
		var calHtml= initData(ret);
		if(''!=calHtml && page== 1){
			calHtml+= '<section id="loadingBar" class="markBar"><img id="loading-img" src="../image/loading-color.gif" />正在加载...</section>';
			$('#wbCont').find('ul').html(calHtml);
			$('#loading-section').hide();
			$('#wbCont').show();
		}else if(''!=calHtml){
			calHtml+= '<section id="loadingBar" class="markBar"><img id="loading-img" src="../image/loading-color.gif" />正在加载...</section>';
			$("#loadingBar").replaceWith(calHtml);
		}else{
			calHtml+= '<section id="loadingBar" class="markBar">已经加载至最后一条</section>';
			$("#loadingBar").replaceWith(calHtml);
			loadFinish= 'true';
		}
	});
}
function effectSysSetting(){
	var systemSetting= sessionAgent.getStorage(sessionAgent.keyMap.systemSetKey );
	api.pageParam.systemSetting= systemSetting;
	if(systemSetting!=null && systemSetting!=null && systemSetting.isNightStyle== 'true'){
		utilsFuncs.setNightTime('nightLink', 1);
	}else{
		utilsFuncs.setNightTime('nightLink', 0);
	}
	if(systemSetting!=null && systemSetting!=null && systemSetting.checkImgType== 'true'){
		if('wifi'!= api.connectionType){
			noImg= 1;
		}else{
			noImg= 0;
		}
	}else{
		noImg= 0;
	}
}
function lightImg(clkObj){
	event.preventDefault();
	if(clkObj==null || clkObj==''){
		return ;
	}

	var items=[], curNum=0, clkSrc= $(clkObj).attr('bigImgUrl');
	$(clkObj).closest('ul').find('.aui-img-object').each(function(index){
		var imgObj = {title:''};
		imgObj.href= $(this).attr('bigImgUrl');

		items.push(imgObj);
		
		if(imgObj.src== clkSrc){
			curNum= index;
		}
	});

	$.swipebox(items,{
		useSVG: false
	});
}
apiready = function(){
	effectSysSetting();
	loadData();

    api.addEventListener({name: 'scrolltobottom'}, function(ret, err){
    	if(loadFinish== 'false'){
	        page++;
	        loadData();
    	}
    });
	api.addEventListener({
	    name:'refCurFrame' //修改了系统设置后，刷新页面样式
	},function(ret,err){
		effectSysSetting();
	});
}