var page= 1, limit=10, noImg=0, isConn= false;

apiready = function () {
    renderInfoList();
    setRefreshHeader();
    api.addEventListener({name: 'scrolltobottom'}, function(ret, err){
    	if(!isConn){
	        page++;
	        renderInfoList();
    	}
    });
};

function initListHtml(txtArray){
	var listHtml = '', loopLen= 0;
	$.each(txtArray, function(i, item){
		var listTempHtml='', imgUrl= item.infoImgUrl || '';

		listTempHtml+= '<ul class="content" tapmode="magnifier">';
		    listTempHtml+= '<li onclick="toDetail(this);" goodNums="'+ item.goodNums+
						'" curColumnId="'+ item.columnId+ 
						'" curColumnName="'+ item.columnTitle+
						'" infoId="'+ item.infoId +
						'" commentNum="'+ item.commentNum +'">';
		    	listTempHtml+= '<div class="item">';
		    	if(imgUrl != '' && noImg==0){
					listTempHtml+= '<div class="img" style="background-image: url(\''+ imgUrl+ '\');"></div>';
		        }
			        listTempHtml+= '<div class="text"><p class="title titleHeight">'+ item.infoTitle+ '</p>';
						listTempHtml+= '<span class="wordTag">'+ item.pubAuthor+'</span> '+ item.pubDate;
						listTempHtml+= '<span class="img-lable-newsTips aui-iconfont aui-icon-comment-after">'+ item.commentNum+ '</span>';
					listTempHtml+= '</div>';
		    	listTempHtml+= '</div>';
		    listTempHtml+= '</li>';
		listTempHtml+= '</ul>';

		listHtml+= listTempHtml;
		loopLen++;
	});

	if(listHtml==''){
		listHtml= '<section id="loadingBar" class="markBar">已经加载至最后一条</section>';
	}else if(loopLen< 20){
		listHtml+= '<section id="loadingBar" class="markBar">已经加载至最后一条</section>';
	}else{
		listHtml+= '<section id="loadingBar" class="markBar"><img id="loading-img" src="../image/loading-color.gif" />正在加载...</section>';
	}

	return listHtml;
}

//提交ajax查询数据
function renderInfoList(){
	var actionUrl= api.pageParam.actionUrl || '';
	if(actionUrl=='' && isConn){
		return ;
	}
	isConn= true;
	actionUrl += '&json[startRowNum]='+ page+ '&json[pageRowLength]=20&rdnum='+ Math.random();

	api.ajax({
	    url: actionUrl,
	    method: 'get',
	    timeout: 45,
	    dataType: 'json',
	    returnAll: false
	},function(ret,err){
	    if (ret) {
	        var dom=null;
			var listHtml= initListHtml(ret.txtCont);

	        if (page!="" && page>1) {
	            $("#loadingBar").replaceWith(listHtml);
	        } else {
	            $("#docBody").html(listHtml);
	        }
	        api.parseTapmode();
	    }else{
			utilsFuncs.toastNetErr();
	    }
	    api.hideProgress();
		api.refreshHeaderLoadDone();
		isConn= false;
	});
}

function setRefreshHeader(){
    api.setRefreshHeaderInfo({
        visible: true,
        bgColor: '#ccc',
        textColor: '#fff',
        textDown: '下拉刷新...',
        textUp: '松开刷新...',
        showTime: true
    }, function (ret, err) {
    	page=1;
        renderInfoList();
    });
}
function toDetail(clkObj){
    api.openWin({
        name: 'search_detail',
        url: 'win_detailpage.html',
        pageParam: {
        	curChannelId : api.pageParam.id,
        	curColumnId: clkObj.getAttribute("curColumnId"),
        	curColumnName : clkObj.getAttribute("curColumnName"),
        	infoId: clkObj.getAttribute("infoId"),
        	commentNum : clkObj.getAttribute("commentNum")
        }
    });
}