var ge={page: 1, noImg: 0, isConn: false};
apiready = function(){
	renderInfoList();
	setRefreshHeader();
	
	api.addEventListener({
	    name: 'refBookList'
	}, function(ret, err){
	    renderInfoList();
	});
	api.addEventListener({
	    name: 'user-logout'
	}, function(ret, err){
		ge.userId= '';
	    renderInfoList();
	});	
};
function setRefreshHeader(){
    api.setRefreshHeaderInfo({
        visible: true,
        bgColor: '#ccc',
        textColor: '#fff',
        textDown: '下拉刷新...',
        textUp: '松开刷新...',
        showTime: true
    }, function(ret, err){
    	api.refreshHeaderLoading();
    	renderInfoList();
    });
}
function openManaWin(){
	if(!checklogin(true)){
		return ;
	}

	api.openWin({
	    name: 'win_subscibe_mana',
	    url: 'win_subscibe_mana.html'
    });
}
function initListHtml(txtArray){
	if(!txtArray || txtArray=='null'){
		return '';
	}
	var listHtml = '', loopLen= 0;
	$.each(txtArray, function(i, item){
		var listTempHtml='', imgUrl= item.pubPlatImgUrl || '', newNum= parseInt(item.notReadNum);
		if(isNaN(newNum)){
			newNum= 0;
		}else if(newNum> 99){
			newNum= '99+';
		}

		listTempHtml+= '<li class="ui-border-t" tapmode="active" onclick="toDetail(this);" infoId="'+ item.pubPlatId+ '">';
		    listTempHtml+= '<div class="ui-list-img">';
		        listTempHtml+= '<span style="background-image:url(\''+ imgUrl+ '\')"></span>';

		        if(newNum!= 0){
		        	listTempHtml+= '<div class="ui-badge-cornernum">'+ newNum+ '</div>';
		        }

		    listTempHtml+= '</div>';
		    listTempHtml+= '<div class="ui-list-info">';
		        listTempHtml+= '<h2 class="ui-nowrap">'+ item.pubPlatTitle+ '</h2>';
		        listTempHtml+= '<p class="ui-nowrap">'+ item.pubPlatSubTitle+ '</p>';
		    listTempHtml+= '</div>';
		listTempHtml+= '</li>';

		listHtml+= listTempHtml;
		loopLen++;
	});

//	if(listHtml==''){
//		listHtml= '<section id="loadingBar" class="markBar">已经加载至最后一条</section>';
//	}else if(loopLen< 20){
//		listHtml+= '<section id="loadingBar" class="markBar">已经加载至最后一条</section>';
//	}else{
//		listHtml+= '<section id="loadingBar" class="markBar"><img id="loading-img" src="../image/loading-color.gif" />正在加载...</section>';
//	}
	return listHtml;
}

function syncReadHis(){
	if(!!ge.subsciList && false){
		return ge.subsciList;
	}else{
		var subsciListSt= sessionAgent.getStorage(sessionAgent.keyMap.subscibeReadHis );
		ge.subsciList= subsciListSt;
		return subsciListSt;
	}
}
//提交ajax查询数据
function renderInfoList(){
	if(!ge.userId){
		checklogin(false);
	}
	if(!ge.userId){
		$("#infoListCont").html('');
		$(".ui-notice").show();
		api.parseTapmode();
		api.refreshHeaderLoadDone();
		return ;
	}
	if(ge.isConn){
		return ;
	}
	api.showProgress({
		modal: false
    });
	ge.isConn= true;
	var paramEntry= {
		userId: ge.userId,
		bookList: syncReadHis()
	}

	var paramMsg= ajaxAgent.initConnEntry(JSON.stringify(paramEntry));
	var actionUrl= ajaxAgent.serverAction;
	actionUrl += 'm=pubplat&c=wap&a=getusersub';

//alert(JSON.stringify(paramEntry));

	api.ajax({
	    url: actionUrl,
	    method: 'post',
	    timeout: 50,
	    dataType: 'json',
	    returnAll: false,
	    data:{
	    	values: {
	    		message: paramMsg
	    	}
	    }
	},function(ret,err){
	    if(ret){
			var listHtml= initListHtml(ret.nbookList);
			if(!!listHtml){
				$("#infoListCont").html(listHtml);
				$(".ui-notice").hide();
				api.parseTapmode();
			}else{
				$("#infoListCont").html('');
				$(".ui-notice").show();
				api.parseTapmode();
			}
	    }else{
			utilsFuncs.toastNetErr();
	    }

		api.refreshHeaderLoadDone();
		ge.isConn= false;
		api.hideProgress();
	});
}
function checklogin(isOpen){
	var userEntry = sessionAgent.getLoginInfo(),
		uid = userEntry.userId;
	if(uid==null || uid==''){
		if(!isOpen){
			return false;
		}
    	api.openWin({
            name: 'open_login',
            url: 'win_commonRedBar.html',
            pageParam:{
            	bannerTitle: '登录',
            	hidEditBtn: 'hidden',
            	childHtmlUrl: 'frm_login.html'
			}
        });
        return false;
	}else{
		ge.userId= uid;
		return true;
	}
}
function toDetail(clkObj){
	if(!clkObj){
		return ;
	}

    api.openWin({
        name: 'win_subscibe_index',
        url: 'win_subscibe_index.html',
        pageParam: {
        	pubPlatId : $(clkObj).attr('infoId'),
        	systemSetting: api.pageParam.systemSetting
        }
    });
    
    $(clkObj).find('.ui-badge-cornernum').hide();
}